<?php

session_start();

include_once("connect.php");

include_once("menu.php");

include_once("check.php");

$dato = date("d/m h:i:s");

$admins = array('Ejer', 'Redaktør', 'Supporter', 'Webmaster', 'Grafiker', 'Reklamør', 'Reporter');

if(in_array($_SESSION[Rang], $admins)){

$q1 = mysql_query("SELECT * FROM brugere WHERE id = '$_GET[id]'");

while($se = mysql_fetch_array($q1)){

if($se[kick_w] != 'ja' AND $_SESSION[Rang] == 'Ejer'){

mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$se[brugernavn], blev kicket!', 'orange')") or die(mysql_error());

mysql_query("UPDATE brugere SET online = 'nej' WHERE id = '$_GET[id]'");

echo "* Brugeren er nu kicket!";

}else{

if($se[kick_w] != 'ja'){

mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '$_SESSION[Brugernavn], blev forhindret i at kicke $se[brugernavn]', 'orange')") or die(mysql_error());

echo "Du kan ikke kicke en bruger der har blockeret kick funktionen!";

}else{

mysql_query("INSERT INTO tagwall (af, dato, besked, farve) VALUES ('Robot', '$dato', '<u>$se[brugernavn]</u> blev kicket!', 'orange')") or die(mysql_error());

mysql_query("UPDATE brugere SET online = 'nej' WHERE id = '$_GET[id]'");

echo "* Brugeren er nu kicket!";

}

}

}

}

?>